package com.mortals.xhx.module.matter.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:MatterDetail
* date: 2021-9-17 15:55:12
*/
public class MatterDetailQuery extends MatterDetailEntity{
    private static final long serialVersionUID = 1631865312181L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;

    /** 开始 事项id */
    private Long matterIdStart;

    /** 结束 事项id */
    private Long matterIdEnd;

    /** 增加 事项id */
    private Long matterIdIncrement;

    /** 事项id */
    private List <Long> matterIdList;


    /** 事项编号 */
    private List<String> matterCodeList;

    /** 基本信息 */
    private List<String> basicInfoJbxxList;

    /** 申请材料 */
    private List<String> materialsSqclList;

    /** 受理条件 */
    private List<String> conditionsSltjList;

    /** 办理流程 */
    private List<String> processBllcList;

    /** 收费标准 */
    private List<String> chargingSfbzList;

    /** 设定依据 */
    private List<String> basisSdyjList;

    /** 中介服务 */
    private List<String> intermediaryZjfwList;

    /** 常见问题 */
    private List<String> questionCjwtList;

    /** 创建人名称 */
    private List<String> createUserNameList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 修改人名称 */
    private List<String> updateUserNameList;
    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterDetailQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterDetailQuery> andConditionList;


    public MatterDetailQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 开始 事项id
    * @return matterIdStart
    */
    public Long getMatterIdStart(){
    return this.matterIdStart;
    }

    /**
    * 设置 开始 事项id
    * @param matterIdStart
    */
    public void setMatterIdStart(Long matterIdStart){
    this.matterIdStart = matterIdStart;
    }

    /**
    * 获取 结束 事项id
    * @return matterIdEnd
    */
    public Long getMatterIdEnd(){
    return this.matterIdEnd;
    }

    /**
    * 设置 结束 事项id
    * @param matterIdEnd
    */
    public void setMatterIdEnd(Long matterIdEnd){
    this.matterIdEnd = matterIdEnd;
    }

    /**
    * 获取 增加 事项id
    * @return matterIdIncrement
    */
    public Long getMatterIdIncrement(){
    return this.matterIdIncrement;
    }

    /**
    * 设置 增加 事项id
    * @param matterIdIncrement
    */
    public void setMatterIdIncrement(Long matterIdIncrement){
    this.matterIdIncrement = matterIdIncrement;
    }

    /**
    * 获取 事项id
    * @return matterIdList
    */
    public List<Long> getMatterIdList(){
    return this.matterIdList;
    }

    /**
    * 设置 事项id
    * @param matterIdList
    */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
        }
    /**
    * 获取 事项编号
    * @return matterCodeList
    */
    public List<String> getMatterCodeList(){
        return this.matterCodeList;
    }

    /**
    * 设置 事项编号
    * @param matterCodeList
    */
    public void setMatterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
    }
    /**
    * 获取 基本信息
    * @return basicInfoJbxxList
    */
    public List<String> getBasicInfoJbxxList(){
        return this.basicInfoJbxxList;
    }

    /**
    * 设置 基本信息
    * @param basicInfoJbxxList
    */
    public void setBasicInfoJbxxList(List<String> basicInfoJbxxList){
        this.basicInfoJbxxList = basicInfoJbxxList;
    }
    /**
    * 获取 申请材料
    * @return materialsSqclList
    */
    public List<String> getMaterialsSqclList(){
        return this.materialsSqclList;
    }

    /**
    * 设置 申请材料
    * @param materialsSqclList
    */
    public void setMaterialsSqclList(List<String> materialsSqclList){
        this.materialsSqclList = materialsSqclList;
    }
    /**
    * 获取 受理条件
    * @return conditionsSltjList
    */
    public List<String> getConditionsSltjList(){
        return this.conditionsSltjList;
    }

    /**
    * 设置 受理条件
    * @param conditionsSltjList
    */
    public void setConditionsSltjList(List<String> conditionsSltjList){
        this.conditionsSltjList = conditionsSltjList;
    }
    /**
    * 获取 办理流程
    * @return processBllcList
    */
    public List<String> getProcessBllcList(){
        return this.processBllcList;
    }

    /**
    * 设置 办理流程
    * @param processBllcList
    */
    public void setProcessBllcList(List<String> processBllcList){
        this.processBllcList = processBllcList;
    }
    /**
    * 获取 收费标准
    * @return chargingSfbzList
    */
    public List<String> getChargingSfbzList(){
        return this.chargingSfbzList;
    }

    /**
    * 设置 收费标准
    * @param chargingSfbzList
    */
    public void setChargingSfbzList(List<String> chargingSfbzList){
        this.chargingSfbzList = chargingSfbzList;
    }
    /**
    * 获取 设定依据
    * @return basisSdyjList
    */
    public List<String> getBasisSdyjList(){
        return this.basisSdyjList;
    }

    /**
    * 设置 设定依据
    * @param basisSdyjList
    */
    public void setBasisSdyjList(List<String> basisSdyjList){
        this.basisSdyjList = basisSdyjList;
    }
    /**
    * 获取 中介服务
    * @return intermediaryZjfwList
    */
    public List<String> getIntermediaryZjfwList(){
        return this.intermediaryZjfwList;
    }

    /**
    * 设置 中介服务
    * @param intermediaryZjfwList
    */
    public void setIntermediaryZjfwList(List<String> intermediaryZjfwList){
        this.intermediaryZjfwList = intermediaryZjfwList;
    }
    /**
    * 获取 常见问题
    * @return questionCjwtList
    */
    public List<String> getQuestionCjwtList(){
        return this.questionCjwtList;
    }

    /**
    * 设置 常见问题
    * @param questionCjwtList
    */
    public void setQuestionCjwtList(List<String> questionCjwtList){
        this.questionCjwtList = questionCjwtList;
    }
    /**
    * 获取 创建人名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建人名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 修改人名称
    * @return updateUserNameList
    */
    public List<String> getUpdateUserNameList(){
        return this.updateUserNameList;
    }

    /**
    * 设置 修改人名称
    * @param updateUserNameList
    */
    public void setUpdateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
    }
    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
    return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
    this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
    return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
    this.updateTimeEnd = updateTimeEnd;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public MatterDetailQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public MatterDetailQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public MatterDetailQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public MatterDetailQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public MatterDetailQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

	/**
    * 设置  事项id
    * @param matterId
    */
    public MatterDetailQuery matterId(Long matterId){
	    setMatterId(matterId);
		return this;
    }
	
	 /**
    * 设置 开始 事项id
    * @param matterIdStart
    */
    public MatterDetailQuery matterIdStart(Long matterIdStart){
		this.matterIdStart = matterIdStart;
		return this;
    }

    /**
    * 设置 结束 事项id
    * @param matterIdEnd
    */
    public MatterDetailQuery matterIdEnd(Long matterIdEnd){
		this.matterIdEnd = matterIdEnd;
		return this;
    }

    /**
    * 设置 增加 事项id
    * @param matterIdIncrement
    */
    public MatterDetailQuery matterIdIncrement(Long matterIdIncrement){
		this.matterIdIncrement = matterIdIncrement;
		return this;
    }

    /**
    * 设置 事项id
    * @param matterIdList
    */
    public MatterDetailQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
		return this;
        }
	/**
    * 设置 事项编号
    * @param matterCode
    */
    public MatterDetailQuery matterCode(String matterCode){
        setMatterCode(matterCode);
		return this;
    }


    /**
    * 设置 事项编号
    * @param matterCodeList
    */
    public MatterDetailQuery matterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
		return this;
    }
	/**
    * 设置 基本信息
    * @param basicInfoJbxx
    */
    public MatterDetailQuery basicInfoJbxx(String basicInfoJbxx){
        setBasicInfoJbxx(basicInfoJbxx);
		return this;
    }


    /**
    * 设置 基本信息
    * @param basicInfoJbxxList
    */
    public MatterDetailQuery basicInfoJbxxList(List<String> basicInfoJbxxList){
        this.basicInfoJbxxList = basicInfoJbxxList;
		return this;
    }
	/**
    * 设置 申请材料
    * @param materialsSqcl
    */
    public MatterDetailQuery materialsSqcl(String materialsSqcl){
        setMaterialsSqcl(materialsSqcl);
		return this;
    }


    /**
    * 设置 申请材料
    * @param materialsSqclList
    */
    public MatterDetailQuery materialsSqclList(List<String> materialsSqclList){
        this.materialsSqclList = materialsSqclList;
		return this;
    }
	/**
    * 设置 受理条件
    * @param conditionsSltj
    */
    public MatterDetailQuery conditionsSltj(String conditionsSltj){
        setConditionsSltj(conditionsSltj);
		return this;
    }


    /**
    * 设置 受理条件
    * @param conditionsSltjList
    */
    public MatterDetailQuery conditionsSltjList(List<String> conditionsSltjList){
        this.conditionsSltjList = conditionsSltjList;
		return this;
    }
	/**
    * 设置 办理流程
    * @param processBllc
    */
    public MatterDetailQuery processBllc(String processBllc){
        setProcessBllc(processBllc);
		return this;
    }


    /**
    * 设置 办理流程
    * @param processBllcList
    */
    public MatterDetailQuery processBllcList(List<String> processBllcList){
        this.processBllcList = processBllcList;
		return this;
    }
	/**
    * 设置 收费标准
    * @param chargingSfbz
    */
    public MatterDetailQuery chargingSfbz(String chargingSfbz){
        setChargingSfbz(chargingSfbz);
		return this;
    }


    /**
    * 设置 收费标准
    * @param chargingSfbzList
    */
    public MatterDetailQuery chargingSfbzList(List<String> chargingSfbzList){
        this.chargingSfbzList = chargingSfbzList;
		return this;
    }
	/**
    * 设置 设定依据
    * @param basisSdyj
    */
    public MatterDetailQuery basisSdyj(String basisSdyj){
        setBasisSdyj(basisSdyj);
		return this;
    }


    /**
    * 设置 设定依据
    * @param basisSdyjList
    */
    public MatterDetailQuery basisSdyjList(List<String> basisSdyjList){
        this.basisSdyjList = basisSdyjList;
		return this;
    }
	/**
    * 设置 中介服务
    * @param intermediaryZjfw
    */
    public MatterDetailQuery intermediaryZjfw(String intermediaryZjfw){
        setIntermediaryZjfw(intermediaryZjfw);
		return this;
    }


    /**
    * 设置 中介服务
    * @param intermediaryZjfwList
    */
    public MatterDetailQuery intermediaryZjfwList(List<String> intermediaryZjfwList){
        this.intermediaryZjfwList = intermediaryZjfwList;
		return this;
    }
	/**
    * 设置 常见问题
    * @param questionCjwt
    */
    public MatterDetailQuery questionCjwt(String questionCjwt){
        setQuestionCjwt(questionCjwt);
		return this;
    }


    /**
    * 设置 常见问题
    * @param questionCjwtList
    */
    public MatterDetailQuery questionCjwtList(List<String> questionCjwtList){
        this.questionCjwtList = questionCjwtList;
		return this;
    }
	/**
    * 设置 创建人名称
    * @param createUserName
    */
    public MatterDetailQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }


    /**
    * 设置 创建人名称
    * @param createUserNameList
    */
    public MatterDetailQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public MatterDetailQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public MatterDetailQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 修改人名称
    * @param updateUserName
    */
    public MatterDetailQuery updateUserName(String updateUserName){
        setUpdateUserName(updateUserName);
		return this;
    }


    /**
    * 设置 修改人名称
    * @param updateUserNameList
    */
    public MatterDetailQuery updateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
		return this;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public MatterDetailQuery updateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
		return this;
    }


    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public MatterDetailQuery updateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MatterDetailQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MatterDetailQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MatterDetailQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MatterDetailQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}